Bug 1805832 - python-apsw fails to build with Python 3.9: invalid open() mode U
Summary: python-apsw fails to build with Python 3.9: invalid open() mode U
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-apsw
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-02-21 15:53 UTC by Marcel Plch
Modified: 2020-03-16 20:32 UTC (History)
6 users (show)

Fixed In Version: python-apsw-3.31.1.r1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:21:16 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rogerbinns apsw issues 283 0 None closed python 3.9 test issues 2020-03-06 11:44:30 UTC

Description Marcel Plch 2020-02-21 15:53:44 UTC
python-apsw fails to build with Python 3.9.0a3.

See https://docs.python.org/3.9/whatsnew/3.9.html#changes-in-the-python-api

"open(), io.open(), codecs.open() and fileinput.FileInput no longer accept 'U' (“universal newline”) in the file mode. This flag was deprecated since Python 3.3. In Python 3, the “universal newline” is used by default when a file is open in text mode. The newline parameter of open() controls how universal newlines works."

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01248165-python-apsw/

For all our attempts to build python-apsw with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-apsw/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Marcel Plch 2020-02-21 15:55:44 UTC
Excuse me, the above logs are outdated, for correct info, see these logs: https://download.copr.fedorainfracloud.org/results/@python/python3.9/fedora-rawhide-x86_64/01248282-python-apsw/

ERROR: testShell (tests.APSW)
Check Shell functionality
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/builddir/build/BUILD/apsw-3.30.1-r1/tests.py", line 6108, in testShell
    shellclass(args=[TESTFILEPREFIX + "testdb", ".read %stest-shell-1" % (TESTFILEPREFIX, )], **kwargs)
  File "<string>", line 132, in __init__
  File "<string>", line 264, in process_args
  File "<string>", line 2372, in process_complete_line
  File "<string>", line 840, in process_command
  File "<string>", line 1951, in command_read
  File "/usr/lib64/python3.9/codecs.py", line 905, in open
    file = builtins.open(filename, mode, buffering)
ValueError: invalid mode: 'rUb'
----------------------------------------------------------------------

Comment 2 Fedora Update System 2020-03-03 22:05:27 UTC
FEDORA-2020-60fb7f56fe has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-60fb7f56fe

Comment 3 Fedora Update System 2020-03-04 20:14:32 UTC
python-apsw-3.31.1.r1-1.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-60fb7f56fe

Comment 4 Fedora Update System 2020-03-16 20:21:16 UTC
python-apsw-3.31.1.r1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-03-16 20:32:37 UTC
python-apsw-3.31.1.r1-1.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.